org.restlet.security

## Interface Enroler

    public interface Enroler

Updates an authenticated client user with assigned roles. Typically, it is invoked by an `Authenticator` after successful authentication to add `Role` instances based on available `User`.

Author:
  Jerome Louvel
See Also:
  `Authenticator.getEnroler()`, `Authenticator.setEnroler(Enroler)`, `ClientInfo.getUser()`, `ClientInfo.getRoles()`

### Method Summary

Methods
`void` `enrole(ClientInfo clientInfo)` Attempts to update an authenticated client, with a `User` properly defined, by adding the `Role` that are assigned to this user.

### Method Detail

#### enrole

    void enrole(ClientInfo clientInfo)

Attempts to update an authenticated client, with a `User` properly defined, by adding the `Role` that are assigned to this user. Note that principals could also be added to the `ClientInfo` if necessary. The addition could also potentially be based on the presence of `Principal`.

Parameters:
  `clientInfo` - The clientInfo to update.